Subject: [bug#65034] [PATCH v2 3/3] gnu: go-github-com-golang-protobuf-proto: Rename to go-github-com-golang-protobuf.

From: Hilton Chain <[email-masked]>
Date: Fri, 26 Jan 2024 01:10:34 +0800

Hi Maxim,

On Mon, 22 Jan 2024 07:00:43 +0800,
Maxim Cournoyer wrote:
>
> Hi Hilton,
>
> Hilton Chain <[email-masked]> writes:
>
> > * gnu/packages/golang.scm (go-github-com-golang-protobuf-proto): Rename to...
> > (go-github-com-golang-protobuf): ... this.
> > [arguments]<#:import-path>: Set to "github.com/golang/protobuf".
> > <#:unpack-path>: Remove argument.
> > <#:phases>: Build all Go packages and run tests for them.
> > (go-github-com-lucas-clemente-quic-go,go-github-com-prometheus-common)
> > (go-github-com-prometheus-client-golang,go-github-com-onsi-gomega)
> > [propagated-inputs]: Adjust accordingly.
> > * gnu/packages/syncthing.scm (go-github-com-prometheus-client-model)
> > (go-github-com-matttproud-golang-protobuf-extensions-pbutil)
> > [propagated-inputs]: Likewise.
>
> I wanted to apply this to core-updates but I think I had merge
> conflicts.  Could you check if it still applies cleanly, else upload a
> v3?

That's because of the go-github-com-quic-go-quic-go name change, I'll send v3.